## python-forbiddenfruit 0.1.4

=== Makefile ===
# Variables you might need to change in the first place
#
# This is probably the only section you'll need to change in this Makefile.
# Also, make sure you don't remove the `<variables/>' tag. Cause those marks
# are going to be used to update this file automatically.
#
# <variables>
PACKAGE=forbiddenfruit
CUSTOM_PIP_INDEX=
export FFRUIT_EXTENSION=true
# </variables>

all: unit functional integration

unit:
	@make run_test suite=unit

functional:
	@make run_test suite=functional

integration:
	@make run_test suite=integration

run_test:
	@if [ -d tests/$(suite) ]; then \
		echo "Running \033[0;32m$(suite)\033[0m test suite"; \
		make prepare; \
		nosetests --stop --with-coverage --cover-package=$(PACKAGE) \
			--cover-branches --verbosity=2 -s tests/$(suite) ; \
	fi

prepare: clean install_deps build_test_stub

install_deps:
	@if [ -z $$SKIP_DEPS ]; then \
		echo "Installing missing dependencies..."; \
		[ -e requirements.txt ] && pip install -r requirements.txt &> .build.log; \
		[ -e development.txt  ] && pip install -r development.txt  &> .build.log; \
	fi

build_test_stub:
	@python setup.py build
	@find ./build -name '*.so' -exec mv {} tests/unit \;

clean:
	@echo "Removing garbage..."
	@find . -name '*.pyc' -delete
	@find . -name '*.so' -delete
	@find . -name __pycache__ -delete
	@rm -rf .coverage *.egg-info *.log build dist MANIFEST

publish:
	@if [ -e "$$HOME/.pypirc" ]; then \
		echo "Uploading to '$(CUSTOM_PIP_INDEX)'"; \
		python setup.py sdist upload -r "$(CUSTOM_PIP_INDEX)"; \
	else \
		echo "You should create a file called \`.pypirc' under your home dir.\n"; \
		echo "That's the right place to configure \`pypi' repos.\n"; \
		echo "Read more about it here: https://github.com/Yipit/yipit/blob/dev/docs/rfc/RFC00007-python-packages.md"; \
		exit 1; \
	fi

=== debian/changelog ===
python-forbiddenfruit (0.1.4-2) unstable; urgency=medium

  * Mark python3-forbiddenfruit Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 Oct 2025 21:07:45 +0100

python-forbiddenfruit (0.1.4-1) unstable; urgency=medium

  * Initial release (closes: #1111569).
  * Apply upstream PR #79 from Michał Górny to port to pytest.

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Aug 2025 14:34:40 +0100

=== debian/control ===
Source: python-forbiddenfruit
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/clarete/forbiddenfruit
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-forbiddenfruit
Vcs-Git: https://salsa.debian.org/python-team/packages/python-forbiddenfruit.git
Testsuite: autopkgtest-pkg-pybuild
X-Style: black

Package: python3-forbiddenfruit
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Allow Python code to extend built-in types
 This package allows Python code to patch built-in objects declared in C.  
 It can be used for various purposes such as writing assertion libraries, 
 spying on the behaviour of objects, or profiling.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := forbiddenfruit
export PYBUILD_BEFORE_TEST := FFRUIT_EXTENSION=true {interpreter} {dir}/setup.py build_ext && cp -a {dir}/build/lib*/ffruit*.so {dir}/tests/unit/
export PYBUILD_AFTER_TEST := rm -f {dir}/tests/unit/ffruit*.so

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: GitHub
Owner: clarete
Project: forbiddenfruit
